Subject: bug#46949: bug report

From: Mark H Weaver <[email-masked]>
Date: Mon, 08 Mar 2021 17:02:30 -0500

Leo Famulari <[email-masked]> writes:

> On Mon, Mar 08, 2021 at 08:25:05AM +0100, Christoph Unger wrote:
>> This file is empty, 0 bytes, so I can't attach it (gmail won't let me). I
>> have de-installed guix in the meantime. Sorry that I can't help you
>> further.
>
> Okay. It's definitely suprising for this file to be empty. I suspect
> some I/O problems... it would be interesting to know what kind of
> storage was being used for /gnu.

Ext2/3/4 filesystems are known to sometimes leave empty files around
after system crashes.  It's one of the reasons I switched to btrfs,
which doesn't do that.

     Mark